summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorLeah Rowe <leah@libreboot.org>2023-11-08 06:31:04 +0000
committerLeah Rowe <leah@libreboot.org>2023-11-08 06:34:12 +0000
commit5af3ae0586ba1f437cecab551ab4fba6fb6bdef1 (patch)
tree3c7e53042fb78f87da8d7a886ec558993baa54ef
parent64f933747021cb783230b9aef367921884ece555 (diff)
lbmk: don't use status for unconditional returns
in cases where lbmk must always return from a function, there are some cases where it relies on non-zero exit status, which in practise is always the case, but may change in the future if the relevant part is modified e.g. do_something && return 0 the proper form is: do_something return 0 also do this for unconditional exits Signed-off-by: Leah Rowe <leah@libreboot.org>
-rwxr-xr-xscript/build/roms15
-rwxr-xr-xscript/build/serprog5
-rwxr-xr-xscript/update/trees7
-rwxr-xr-xscript/vendor/download6
-rwxr-xr-xscript/vendor/inject6
5 files changed, 27 insertions, 12 deletions
diff --git a/script/build/roms b/script/build/roms
index ff50d9b7..a96ad89b 100755
--- a/script/build/roms
+++ b/script/build/roms
@@ -31,8 +31,12 @@ main()
{
while [ $# -gt 0 ]; do
case ${1} in
- help) usage && exit 0 ;;
- list) items config/coreboot && exit 0 ;;
+ help)
+ usage
+ exit 0 ;;
+ list)
+ items config/coreboot || :
+ exit 0 ;;
-d) _displaymode="${2}" ;;
-p) _payload="${2}" ;;
-k) _keyboard="${2}" ;;
@@ -216,10 +220,11 @@ build_target()
build_roms()
{
cbcfg="${1}"
- [ ! -f "${cbcfg}" ] && \
+ if [ ! -f "${cbcfg}" ]; then
printf "'%s' does not exist. Skipping build for %s %s %s\n" \
- "${cbcfg}" "${board}" "${displaymode}" "${initmode}" \
- 1>&2 && return 0
+ "${cbcfg}" "${board}" "${displaymode}" "${initmode}" 1>&2
+ return 0
+ fi
x_ ./update trees -b coreboot ${board}
diff --git a/script/build/serprog b/script/build/serprog
index 93ea9302..7f8664a9 100755
--- a/script/build/serprog
+++ b/script/build/serprog
@@ -34,7 +34,10 @@ main()
x_ mkdir -p "bin/serprog_${platform}"
if [ $# -gt 1 ] ; then
- [ "${2}" = "list" ] && print_boards ${boards_dir} && return 0
+ if [ "${2}" = "list" ]; then
+ print_boards ${boards_dir}
+ return 0
+ fi
build_${platform}_rom "${2}"
else
printf "Building all serprog targets\n"
diff --git a/script/update/trees b/script/update/trees
index a930bed1..bd0fcb61 100755
--- a/script/update/trees
+++ b/script/update/trees
@@ -37,8 +37,11 @@ main()
[ -z "${_f}" ] && err "missing flag (-m/-u/-b/-c/-x/-f/-s/-l/-n)"
[ -z "${project}" ] && err "project name not specified"
- [ -f "config/${project}/build.list" ] && build_targets $@ && return 0
- build_projects $@
+ if [ -f "config/${project}/build.list" ]; then
+ build_targets $@
+ else
+ build_projects $@
+ fi
}
build_projects()
diff --git a/script/vendor/download b/script/vendor/download
index 12231b39..4613c2b6 100755
--- a/script/vendor/download
+++ b/script/vendor/download
@@ -140,8 +140,10 @@ vendor_checksum()
mkdirs()
{
- [ -f "${1}" ] && \
- printf "mkdirs ${1} ${2}: already downloaded\n" 1>&2 && return 1
+ if [ -f "${1}" ]; then
+ printf "mkdirs ${1} ${2}: already downloaded\n" 1>&2
+ return 1
+ fi
mkdir -p "${1%/*}" || err "mkdirs: !mkdir -p ${1%/*}"
x_ rm -Rf "${appdir}"
x_ mkdir -p "${appdir}/"
diff --git a/script/vendor/inject b/script/vendor/inject
index 93017cec..088851ca 100755
--- a/script/vendor/inject
+++ b/script/vendor/inject
@@ -14,8 +14,10 @@ eval "$(setvars "" archive rom modifygbe nukemode release new_mac)"
main()
{
[ $# -lt 1 ] && err "No options specified."
- [ "${1}" = "listboards" ] && \
- items config/coreboot && exit 0
+ if [ "${1}" = "listboards" ]; then
+ items config/coreboot || :
+ exit 0
+ fi
archive="${1}"